import { PnpmOptions, Dependencies } from '../types';
import { InstalledPackage } from '../install/installMultiple';
import { Store } from '../fs/storeController';
import { CachedPromises } from '../memoize';
export declare type PackageInstallationResult = {
    path: string;
    pkgId: string;
};
export declare type InstalledPackages = {
    [name: string]: InstalledPackage;
};
export declare type InstallContext = {
    installs: InstalledPackages;
    piq?: PackageInstallationResult[];
    fetches: CachedPromises<void>;
    store: Store;
};
export declare function install(maybeOpts?: PnpmOptions): Promise<void>;
/**
 * Perform installation.
 *
 * @example
 *     install({'lodash': '1.0.0', 'foo': '^2.1.0' }, { silent: true })
 */
export declare function installPkgs(fuzzyDeps: string[] | Dependencies, maybeOpts?: PnpmOptions): Promise<void>;
