export declare type StorePackageMap = {
    [name: string]: StorePackage;
};
export declare type StorePackage = {
    dependents: string[];
    dependencies: DependenciesResolution;
};
export declare type DependenciesResolution = {
    [name: string]: string;
};
export declare type Store = {
    pnpm: string;
    type: TreeType;
    preserveSymlinks: boolean;
    packages: StorePackageMap;
};
export declare type TreeType = 'flat' | 'nested';
export declare function create(treeType: TreeType): Store;
export declare function read(storePath: string): Promise<Store | null>;
export declare function save(storePath: string, store: Store): any;
