import { FetchedPackage, FetchOptions } from './fetch';
import { InstallContext } from '../api/install';
import { Dependencies } from '../types';
export declare type InstallOptions = FetchOptions & {
    optional?: boolean;
    dependent: string;
    depth: number;
};
export declare type InstalledPackage = FetchedPackage & {
    keypath: string[];
    optional: boolean;
    dependencies: InstalledPackage[];
};
/**
 * Install multiple modules into `modules`.
 *
 * @example
 *     ctx = { }
 *     installMultiple(ctx, { minimatch: '^2.0.0' }, {chokidar: '^1.6.0'}, './node_modules')
 */
export default function installMultiple(ctx: InstallContext, pkgsMap: Dependencies, modules: string, options: InstallOptions): Promise<InstalledPackage[]>;
